Add javax.inject dependency for 4.13 support